<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\DatamodulHelper\KursorteHelper;

use Kufer\Web\KuferTools\Utils\FilterSettings\IFilterSettings;

class Kursorte4Gebauedegrafik extends KursorteHelper
{
  public function __construct($toolSettings, IFilterSettings $filterSettings, $user)
  {
    parent::__construct($toolSettings, $filterSettings, $user);
  }

  protected function setzeSortierung($dbwKursort)
  {
    $dbwKursort->orderby = $this->toolSettings->sortraeume;
    $dbwKursort->orderbyasc = $this->toolSettings->sortraeumeasc;

    return $dbwKursort;
  }
}